# SIG CLI

The Kubernetes Command Line Interface SIG (sig-cli) is a working group for the contributor community interested in `kubectl` and related tools.

We focus on the development and standardization of the CLI [framework](https://github.com/kubernetes/kubernetes/tree/master/pkg/kubectl) and its dependencies, the establishment of [conventions](contributors/devel/kubectl-conventions.md) for writing CLI commands, POSIX compliance, and improving the command line tools from a developer and devops user experience and usability perspective.

## Meetings:
* Bi-weekly on Wednesdays @ 9am [America/Los_Angeles](http://time.is/Los_Angeles) (check [the calendar](https://calendar.google.com/calendar/embed?src=cgnt364vd8s86hr2phapfjc6uk%40group.calendar.google.com&ctz=America/Los_Angeles))
* Zoom Link: <https://zoom.us/my/sigcli>
* Meeting [Agenda and Minutes](https://docs.google.com/document/d/1r0YElcXt6G5mOWxwZiXgGu_X6he3F--wKwg-9UBc29I/edit?usp=sharing)

## Communication:
* Slack: <https://kubernetes.slack.com/messages/sig-cli> ([archive](http://kubernetes.slackarchive.io/sig-cli))
* Google Group: <https://groups.google.com/forum/#!forum/kubernetes-sig-cli>

## Leads

**Note:** Escalate to these folks if you cannot get help from slack or the Google group

* Fabiano Franz <ffranz@redhat.com>, Red Hat
  - slack / github: @fabianofranz
* Phillip Wittrock <pwittroc@google.com>, Google
  - slack / github: @pwittrock
* Tony Ado <coolhzb@gmail.com>, Alibaba
  - slack / github: @adohe

## Contributing

See [this document](CONTRIBUTING.md) for contributing instructions.

## Sig-cli teams

Mention one or more of

| Name                               | Description                                      |
|------------------------------------|--------------------------------------------------|
|@kubernetes/sig-cli-bugs            | For bugs in kubectl                              |
|@kubernetes/sig-cli-feature-requests| For initial discussion of new feature requests   |
|@kubernetes/sig-cli-proposals       | For in depth discussion of new feature proposals |
|@kubernetes/sig-cli-pr-reviews      | For PR code reviews                              |
|@kubernetes/sig-test-failures       | For e2e test flakes                              |
|@kubernetes/sig-cli-misc            | For general discussion and escalation            |

