# OpenStack SIG

This is the community page of the Kubernetes OpenStack SIG: a special
interest group coordinating the cross-community efforts of the OpenStack
and Kubernetes communities. This includes OpenStack-related contributions
to Kubernetes projects with OpenStack as:
* a deployment platform for Kubernetes,
* a service provider for Kubernetes,
* a collection of applications to run on Kubernetes.

## Meetings

Meetings are held every second Wednesday. The meetings occur at
1500 UTC or 2100 UTC, alternating.

To check which time is being used for the upcoming meeting refer to the
[Agenda/Notes](https://docs.google.com/document/d/1iAQ3LSF_Ky6uZdFtEZPD_8i6HXeFxIeW4XtGcUJtPyU/edit?usp=sharing_eixpa_nl&ts=588b986f).

Meeting reminders are also sent to the [kubernetes-sig-openstack](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack)
list. Meetings are held on [Zoom](https://zoom.us) in the room at
[https://zoom.us/j/417251241](https://zoom.us/j/417251241).

## Leads

Steve Gordon (@xsgordon) and Ihor Dvoretskyi (@idvoretskyi)

## Slack Channel

[#sig-openstack](https://kubernetes.slack.com/messages/sig-openstack/).  [Archive](http://kubernetes.slackarchive.io/sig-openstack/)


## Mailing Lists

The OpenStack SIG has a number of mailing lists, most activities are
co-ordinated via the general discussion list with the remainder used for
following Github notifications where the SIG is tagged in a comment.

The general discussion regarding the SIG occurs on the [kubernetes-sig-openstack](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack)
mailing list.

## GitHub Teams

There are a number of GitHub teams set up that can be tagged in an issue or PR
to bring them to the attention of the team. These notifications are also sent
to the mailing list attached to each GitHub team for archival purposes. It is
not intended that discussion occur on these lists directly.

| Name                                     | Archival List                                                                                                                  |
|------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------|
|@kubernetes/sig-openstack-api-reviews     | [kubernetes-sig-openstack-api-reviews](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack-api-reviews)           |
|@kubernetes/sig-openstack-bugs            | [kubernetes-sig-openstack-bugs](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack-bugs)                         |
|@kubernetes/sig-openstack-feature-requests| [kubernetes-sig-openstack-feature-requests](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack-feature-requests) |
|@kubernetes/sig-openstack-proposals       | [kubernetes-sig-openstack-proposals](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack-proposals)               |
|@kubernetes/sig-openstack-pr-reviews      | [kubernetes-sig-openstack-pr-reviews](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack-pr-reviews)             |
|@kubernetes/sig-openstack-misc            | [kubernetes-sig-openstack-misc](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack-misc)                         |
|@kubernetes/sig-openstack-test-failures   | [kubernetes-sig-openstack-test-failures](https://groups.google.com/forum/#!forum/kubernetes-sig-openstack-test-failures)       |

## Issues and Bugs

Relevant [Issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen%20label%3Asig%2Fopenstack%20is%3Aissue)
and [Pull Requests](https://github.com/kubernetes/kubernetes/pulls?q=is%3Aopen%20is%3Apr%20label%3Asig%2Fopenstack)
are tagged with the **sig/openstack** label.
